API
Online News Search Direct API
The AI-powered Online News Monitor provides 360° Global Media Data & Intelligence on Digital-native news outlets, online newspapers, broadcasters, wire services, and digital magazines.
مرجع API الإصدار: 1.0.0 3 نقاط النهاية المصادقة
عنوان URL الأساسي
https://pressmonitor.com/api المصادقة
تتطلب جميع الطلبات رؤوس x-api-key و x-subscription-id. يوثّق x-api-key حسابك؛ ويحدّد x-subscription-id الخدمة المشتركة.
x-api-key: YOUR_API_KEY
x-subscription-id: YOUR_SUB_ID GET
/headlines Get News Headlines
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | Primary keyword query used for direct news retrieval |
| lang_code | string | query | لا | Filter by language code (ISO 639-1) |
| country_code | string | query | لا | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | لا | Number of results to return |
| cursor | string | query | لا | Pagination cursor for next page |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
| sort | string | query | لا | Sort order (date or relevance) |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/headlines?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/briefs Get News Briefs
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | Primary keyword query used for direct news retrieval |
| lang_code | string | query | لا | Filter by language code (ISO 639-1) |
| country_code | string | query | لا | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | لا | Number of results to return |
| cursor | string | query | لا | Pagination cursor for next page |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
| sort | string | query | لا | Sort order (date or relevance) |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/briefs?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
GET
/fulltext Get Full-Text News
بارامترات
| الاسم | نوع | الموقع | مطلوب | الوصف |
|---|---|---|---|---|
| keywords_text | string | query | نعم | Primary keyword query used for direct news retrieval |
| lang_code | string | query | لا | Filter by language code (ISO 639-1) |
| country_code | string | query | لا | Filter by country code (ISO 3166-1 alpha-2) |
| count | integer | query | لا | Number of results to return |
| cursor | string | query | لا | Pagination cursor for next page |
| date_from | string | query | لا | Start date for news (YYYY-MM-DD format) |
| date_to | string | query | لا | End date for news (YYYY-MM-DD format) |
| sort | string | query | لا | Sort order (date or relevance) |
أمثلة الشيفرة
curl -X GET \
"https://pressmonitor.com/api/fulltext?keywords_text=VALUE&lang_code=VALUE&country_code=VALUE&count=VALUE&cursor=VALUE&date_from=VALUE&date_to=VALUE&sort=VALUE" \
-H "x-api-key: YOUR_API_KEY" \
-H "x-subscription-id: YOUR_SUB_ID" الردود
200 Success
